Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.ui.actions
Class LaunchAsAction

    java.lang.Object
      org.eclipse.jface.action.Action
          org.eclipse.debug.ui.actions.LaunchAsAction

All Implemented Interfaces:
  IAction, IActionDelegate, IMenuCreator, IWorkbenchWindowActionDelegate, IWorkbenchWindowPulldownDelegate, IWorkbenchWindowPulldownDelegate2

public class LaunchAsAction
extends Action
implements IMenuCreator, IWorkbenchWindowPulldownDelegate2

A cascading sub-menu that shows all launch shortcuts pertinent to a launch group.

Since:
  2.1

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`LaunchAsAction(String launchGroupIdentifier)` Creates a cascading menu action to populate with shortcuts in the given launch group.

Method Summary
`void` | `dispose()` Disposes the menu returned by `getMenu`.
`Menu` | `getMenu(Control parent)` Returns the SWT menu, created as a pop up menu parented by the given control.
`Menu` | `getMenu(Menu parent)` Returns an SWT menu created as a drop down menu parented by the given menu.
`void` | `init(IWorkbenchWindow window)` Initializes this action delegate with the workbench window it will work in.
`void` | `run()` The default implementation of this `IAction` method does nothing.
`void` | `run(IAction action)` Performs this action.
`void` | `selectionChanged(IAction action, ISelection selection)` Notifies this action delegate that the selection in the workbench has changed.

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, notifyResult, removeAcceleratorText, removeMnemonics, removePropertyChangeListener, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LaunchAsAction

    public LaunchAsAction(String launchGroupIdentifier)

  Creates a cascading menu action to populate with shortcuts in the given launch group.

Parameters:
  `launchGroupIdentifier` - launch group identifier

Method Detail

### run

    public void run()

  Description copied from class: `Action`
  The default implementation of this `IAction` method does nothing. Subclasses should override this method if they do not need information from the triggering event, or override `runWithEvent(Event)` if they do.

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `Action`
  See Also:
    `IAction.run()`

### dispose

    public void dispose()

  Description copied from interface: `IMenuCreator`
  Disposes the menu returned by `getMenu`. Does nothing if there is no menu. This method will be executed only when the parent of the menu is disposed.

  Specified by:
    `dispose` in interface `IMenuCreator`
  See Also:
    `IMenuCreator.dispose()`

### getMenu

    public Menu getMenu(Control parent)

  Description copied from interface: `IMenuCreator`
  Returns the SWT menu, created as a pop up menu parented by the given control. In most cases, this menu can be created once, cached and reused when the pop-up/drop-down action occurs. If the menu must be dynamically created (i.e., each time it is popped up or dropped down), the old menu should be disposed of before replacing it with the new menu.

  Specified by:
    `getMenu` in interface `IMenuCreator`
  Parameters:
    `parent` - the parent control
  Returns:
    the menu, or `null` if the menu could not be created
  See Also:
    `IMenuCreator.getMenu(Control)`

### getMenu

    public Menu getMenu(Menu parent)

  Description copied from interface: `IMenuCreator`
  Returns an SWT menu created as a drop down menu parented by the given menu. In most cases, this menu can be created once, cached and reused when the pop-up/drop-down action occurs. If the menu must be dynamically created (i.e., each time it is popped up or dropped down), the old menu should be disposed of before replacing it with the new menu.

  Specified by:
    `getMenu` in interface `IMenuCreator`
  Parameters:
    `parent` - the parent menu
  Returns:
    the menu, or `null` if the menu could not be created
  See Also:
    `IMenuCreator.getMenu(Menu)`

### init

    public void init(IWorkbenchWindow window)

  Description copied from interface: `IWorkbenchWindowActionDelegate`
  Initializes this action delegate with the workbench window it will work in.

  Specified by:
    `init` in interface `IWorkbenchWindowActionDelegate`
  Parameters:
    `window` - the window that provides the context for this delegate
  See Also:
    `IWorkbenchWindowActionDelegate.init(org.eclipse.ui.IWorkbenchWindow)`

### run

    public void run(IAction action)

  Description copied from interface: `IActionDelegate`
  Performs this action.

  This method is called by the proxy action when the action has been triggered. Implement this method to do the actual work.

  Note: If the action delegate also implements `IActionDelegate2`, then this method is not invoked but instead the `runWithEvent(IAction, Event)` method is called.

  Specified by:
    `run` in interface `IActionDelegate`
  Parameters:
    `action` - the action proxy that handles the presentation portion of the action
  See Also:
    `IActionDelegate.run(org.eclipse.jface.action.IAction)`

### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

  Description copied from interface: `IActionDelegate`
  Notifies this action delegate that the selection in the workbench has changed.

  Implementers can use this opportunity to change the availability of the action or to modify other presentation properties.

  When the selection changes, the action enablement state is updated based on the criteria specified in the plugin.xml file. Then the delegate is notified of the selection change regardless of whether the enablement criteria in the plugin.xml file is met.

  Specified by:
    `selectionChanged` in interface `IActionDelegate`
  Parameters:
    `action` - the action proxy that handles presentation portion of the action
    `selection` - the current selection, or `null` if there is no selection.
  See Also:
    `IActionDelegate.selectionChanged(org.eclipse.jface.action.IAction, org.eclipse.jface.viewers.ISelection)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.